<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.
/**
 *
 * Field: backup
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
if ( ! class_exists( 'DSPILOT_Field_backup' ) ) {
  class DSPILOT_Field_backup extends DSPILOT_Fields {

    public function __construct( $field, $value = '', $unique = '', $where = '', $parent = '' ) {
      parent::__construct( $field, $value, $unique, $where, $parent );
    }

    public function render() {

      $unique = $this->unique;
      $nonce  = wp_create_nonce( 'dspilot_backup_nonce' );
      $export = add_query_arg( array( 'action' => 'dspilot-export', 'unique' => $unique, 'nonce' => $nonce ), admin_url( 'admin-ajax.php' ) );

      echo wp_kses_post($this->field_before());

      echo '<textarea name="dspilot_import_data" class="dspilot-import-data"></textarea>';
      echo '<button type="submit" class="button button-primary dspilot-confirm dspilot-import" data-unique="'. esc_attr( $unique ) .'" data-nonce="'. esc_attr( $nonce ) .'">'. esc_html__( 'Import', 'discountpilot-dynamic-pricing' ) .'</button>';
      echo '<hr />';
      echo '<textarea readonly="readonly" class="dspilot-export-data">'. esc_attr( wp_json_encode( get_option( $unique ) ) ) .'</textarea>';
      echo '<a href="'. esc_url( $export ) .'" class="button button-primary dspilot-export" target="_blank">'. esc_html__( 'Export & Download', 'discountpilot-dynamic-pricing' ) .'</a>';
      echo '<hr />';
      echo '<button type="submit" name="dspilot_transient[reset]" value="reset" class="button dspilot-warning-primary dspilot-confirm dspilot-reset" data-unique="'. esc_attr( $unique ) .'" data-nonce="'. esc_attr( $nonce ) .'">'. esc_html__( 'Reset', 'discountpilot-dynamic-pricing' ) .'</button>';

      echo wp_kses_post($this->field_after());

    }

  }
}
